org.apache.solr.update

## Class UpdateShardHandler

- java.lang.Object
- - org.apache.solr.update.UpdateShardHandler

-     public class UpdateShardHandler
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateShardHandler.IdleConnectionsEvictor` This class is adapted from org.apache.http.impl.client.IdleConnectionEvictor and changed to use the deprecated ClientConnectionManager instead of the new HttpClientConnectionManager.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateShardHandler(UpdateShardHandlerConfig cfg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected ModifiableSolrParams` | `getClientParams()`
    `org.apache.http.conn.ClientConnectionManager` | `getConnectionManager()`
    `org.apache.http.client.HttpClient` | `getHttpClient()`
    `ExecutorService` | `getRecoveryExecutor()` In general, RecoveryStrategy threads do not do disk IO, but they open and close SolrCores in async threads, among other things, and can trigger disk IO, so we use this alternate executor rather than the 'updateExecutor', which is interrupted on shutdown.
    `ExecutorService` | `getUpdateExecutor()` This method returns an executor that is not meant for disk IO and that will be interrupted on shutdown.
    `void` | `reconfigureHttpClient(HttpClientConfigurer configurer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateShardHandler

          public UpdateShardHandler(UpdateShardHandlerConfig cfg)

  - ### Method Detail

    - #### getClientParams

          protected ModifiableSolrParams getClientParams()

    - #### getHttpClient

          public org.apache.http.client.HttpClient getHttpClient()

    - #### reconfigureHttpClient

          public void reconfigureHttpClient(HttpClientConfigurer configurer)

    - #### getConnectionManager

          public org.apache.http.conn.ClientConnectionManager getConnectionManager()

    - #### getUpdateExecutor

          public ExecutorService getUpdateExecutor()

      This method returns an executor that is not meant for disk IO and that will be interrupted on shutdown.
      Returns:
        an executor for update related activities that do not do disk IO.

    - #### getRecoveryExecutor

          public ExecutorService getRecoveryExecutor()

      In general, RecoveryStrategy threads do not do disk IO, but they open and close SolrCores in async threads, among other things, and can trigger disk IO, so we use this alternate executor rather than the 'updateExecutor', which is interrupted on shutdown.
      Returns:
        executor for `RecoveryStrategy` thread which will not be interrupted on close.

    - #### close

          public void close()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.